summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Stein <jstein@gentoo.org>2017-11-23 13:45:35 +0100
committerJonas Stein <jstein@gentoo.org>2017-11-23 13:45:47 +0100
commita81a3b085b209da75ec62419edb97065ed545397 (patch)
tree142584eae468dbe09ec7d16fbadf8d327f4f283b /media-gfx
parentdev-libs/libsodium-1.0.15-r0: alpha stable (diff)
downloadgentoo-a81a3b085b209da75ec62419edb97065ed545397.tar.gz
gentoo-a81a3b085b209da75ec62419edb97065ed545397.tar.bz2
gentoo-a81a3b085b209da75ec62419edb97065ed545397.zip
media-gfx/inkscape: Remove obsolete and broken dep
Remove obsolete and broken dependency on app-text/libwpd this fixes in this ebuild Bug: https://bugs.gentoo.org/638440 Package-Manager: Portage-2.3.16, Repoman-2.3.5
Diffstat (limited to 'media-gfx')
-rw-r--r--media-gfx/inkscape/inkscape-0.92.2.ebuild17
1 files changed, 8 insertions, 9 deletions
diff --git a/media-gfx/inkscape/inkscape-0.92.2.ebuild b/media-gfx/inkscape/inkscape-0.92.2.ebuild
index f91ae073ba5..6f8363666e0 100644
--- a/media-gfx/inkscape/inkscape-0.92.2.ebuild
+++ b/media-gfx/inkscape/inkscape-0.92.2.ebuild
@@ -22,12 +22,6 @@ IUSE+=" lcms nls spell static-libs visio wpg"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-WPG_DEPS="
- || (
- ( app-text/libwpg:0.3 dev-libs/librevenge )
- ( app-text/libwpd:0.9 app-text/libwpg:0.2 )
- )
-"
COMMON_DEPEND="
${PYTHON_DEPS}
>=app-text/poppler-0.26.0:=[cairo]
@@ -52,7 +46,8 @@ COMMON_DEPEND="
>=x11-libs/pango-1.24
cdr? (
media-libs/libcdr
- ${WPG_DEPS}
+ app-text/libwpg:0.3
+ dev-libs/librevenge
)
dbus? ( dev-libs/dbus-glib )
exif? ( media-libs/libexif )
@@ -66,9 +61,13 @@ COMMON_DEPEND="
)
visio? (
media-libs/libvisio
- ${WPG_DEPS}
+ app-text/libwpg:0.3
+ dev-libs/librevenge
+ )
+ wpg? (
+ app-text/libwpg:0.3
+ dev-libs/librevenge
)
- wpg? ( ${WPG_DEPS} )
"
# These only use executables provided by these packages